<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:html="http://www.w3c.org/TR/xhtml1/" 
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:lib="uri:BMU_Waste_Interface/Bibliothek"
 	xmlns:msg="uri:BMU_Waste_Interface/Message" 
	xmlns:ds="http://www.w3.org/2000/09/xmldsig#" 
	xmlns:zks="uri:BMU_Waste_Interface/ZKS" 
	xmlns:b64="xalan://de.itu.util.Base64" 
	xmlns:crc32="xalan://de.itu.util.CRC32Helper" 
	xmlns:x509="xalan://de.itu.util.X509CertHelper" 
	extension-element-prefixes="b64 crc32 x509" 
	exclude-result-prefixes="xsl lib ds zks b64 crc32 x509">
	<xsl:import href="ZKS-Library.xsl"/>
	<xsl:output method="html"/>
	<xsl:param name="positionsnummer"/>
	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="msg:Nachricht">
				<xsl:for-each select="msg:Nachricht/msg:Nutzdaten">
					<xsl:apply-templates/>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="zks:Registrierungsauftrag">
		<html>
			<head>
				<title>Registrierungsauftrag</title>
				<!-- CSS - Datei   -->
				<xsl:call-template name="Style"/>
			</head>
			<body>
				<xsl:call-template name="Kopf"/>
				<table width="100%" id="Tabelle-Haupt" cellspacing="6" cellpadding="6">
					<tr>
						<th>
							<xsl:for-each select="//zks:Registrierungsauftrag">
								<xsl:call-template name="Zeile0"/>
								<xsl:call-template name="Zeile1"/>
								<xsl:call-template name="Zeile2"/>
								<xsl:call-template name="Zeile3"/>
								<xsl:call-template name="Zeile4"/>
								<xsl:call-template name="Zeile5"/>
								<xsl:call-template name="Zeile6"/>
								<xsl:call-template name="Zeile7"/>
							</xsl:for-each>
						</th>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="zks:RegistrierungsauftragZKS">
		<html>
			<head>
				<title>Registrierungsauftrag</title>
				<!-- CSS - Datei   -->
				<xsl:call-template name="Style"/>
			</head>
			<body>
				<xsl:call-template name="Kopf"/>
				<table width="100%" id="Tabelle-Haupt" cellspacing="6" cellpadding="6">
					<tr>
						<th>
							<xsl:for-each select="//zks:RegistrierungsauftragZKS">
								<xsl:call-template name="Zeile0"/>
								<xsl:call-template name="Zeile1"/>
								<xsl:call-template name="Zeile2"/>
								<xsl:call-template name="Zeile3"/>
								<xsl:call-template name="Zeile4"/>
								<xsl:call-template name="Zeile5"/>
								<xsl:call-template name="Zeile6"/>
								<xsl:call-template name="Zeile7"/>
							</xsl:for-each>
						</th>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="Zeile0">
		<table width="100%" border="0">
			<tr>
				<td>
					<font id="Nummer">
						Registrierungsauftrag 
					</font>
				</td>
			</tr>
			<tr height="3%">
				<td>
			</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="Zeile1">
		<table id="tabelle_nicht_unten" width="100%" border="0">
			<tr>
				<td id="Titel"> Antrag UUID </td>
				<td id="Titel"> Lfd Nr. </td>
				<td id="Titel"> Antragsart </td>
			</tr>
			<tr>
				<td>
					<font id="Aktuell">
						<xsl:value-of select="zks:AntragUUID"/>
					</font>
				</td>
				<td>
					<font id="Aktuell">
						<xsl:value-of select="zks:LfdNrAntrag"/>
					</font>
				</td>
				<td>
					<font id="Aktuell">
						<xsl:value-of select="zks:Antragsart"/>
					</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="Zeile2">
		<xsl:for-each select="zks:Behoerde">
			<table id="tabelle_nicht_unten" width="100%" border="0">
				<tr height="10">
					<td/>
				</tr>
				<tr align="left">
					<td id="Text_normal ">Beh&#246;rde</td>
				</tr>
				<tr width="100%">
					<td width="20%" id="Titel"> Beh&#246;rdlicheNummer </td>
					<td width="80%"/>
				</tr>
				<tr width="100%">
					<td width="20%">
						<font id="Aktuell">
							<xsl:value-of select="zks:BehoerdlicheNummer"/>
							<xsl:value-of select="zks:Pruefziffer"/>
						</font>
					</td>
				</tr>
			</table>
			<xsl:call-template name="NameUndAdresse">
				<xsl:with-param name="prefix" select="zks:NameUndAdresse"/>
				<xsl:with-param name="table_width" select="40"/>
			</xsl:call-template>
			<xsl:call-template name="Ansprechpartner">
				<xsl:with-param name="prefix" select="zks:Ansprechpartner"/>
				<xsl:with-param name="table_width" select="40"/>
			</xsl:call-template>
		</xsl:for-each>
		<table id="tabelle_nicht_oben_unten" width="100%">
			<tr width="100%">
				<td width="30%" id="Text_normal">Unterschrift (fortgeschrittene Signatur)</td>
			</tr>
			<tr width="100%">
				<td width="100%">
					<xsl:call-template name="Sig1NameNoLayer"/>
				</td>
			</tr>
		</table>
		<table id="tabelle_nicht_unten" width="100%" border="0">
			<tr align="left">
				<td id="Text_normal ">Entscheidung</td>
			</tr>
			<tr>
				<td width="15%" id="Titel">Antrag stattgegeben</td>
				<td width="10%" id="Titel">BGS Limit</td>
				<td width="75%" id="Titel">Bemerkungen</td>
			</tr>
			<tr>
				<td width="15%">
					<font id="Aktuell">
						<xsl:if test="zks:Auftrag/zks:IndicatorEntscheidung = 'true'">
							Ja
						</xsl:if>
						<xsl:if test="zks:Auftrag/zks:IndicatorEntscheidung = 'false'">
							Nein
						</xsl:if>
					</font>
				</td>
				<td width="10%">
					<font id="Aktuell">
						<xsl:value-of select="zks:Auftrag/zks:BGSNrLimit"/>
					</font>
				</td>
				<td width="75%">
					<font id="Aktuell">
						<xsl:value-of select="zks:Auftrag/zks:Bemerkung"/>
					</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="Zeile3">
		<xsl:for-each select="zks:Antragsteller">
			<table id="tabelle_nicht_unten" width="100%" border="0">
				<tr height="10">
					<td/>
				</tr>
				<tr align="left">
					<td id="Text_normal "> Antragsteller </td>
				</tr>
				<tr width="100%">
					<td width="25%" id="Titel"> Beh&#246;rdlicheNummer </td>
				</tr>
				<tr width="100%">
					<td width="25%">
						<font id="Aktuell">
							<xsl:value-of select="zks:BehoerdlicheNummer"/>
							<xsl:value-of select="zks:Pruefziffer"/>
							&#173;
							<xsl:value-of select="@lib:ATBRolle"/>
						</font>
					</td>
				</tr>
			</table>
			<xsl:call-template name="NameUndAdresse">
				<xsl:with-param name="prefix" select="zks:NameUndAdresse"/>
				<xsl:with-param name="table_width" select="40"/>
			</xsl:call-template>
			<xsl:call-template name="Ansprechpartner">
				<xsl:with-param name="prefix" select="zks:Ansprechpartner"/>
				<xsl:with-param name="table_width" select="40"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="Zeile4">
		<table id="tabelle_nicht_unten" width="100%" border="0">
			<tr align="left">
				<td id="Text_normal "> Antragsobjekte </td>
			</tr>
			<tr width="100%">
				<td width="20%" id="Titel">Antragsobjekt</td>
				<td width="20%" id="Titel">&#196;nderungsart</td>
				<td width="20%" id="Titel">Defaultpostfach</td>
			</tr>
			<xsl:for-each select="zks:Auftrag/zks:Antragsobjekt">
				<tr align="left">
					<td width="20%" id="Aktuell">
						<xsl:value-of select="zks:Objekt"/>
						<xsl:if test="string-length(zks:Objekt/@lib:ATBRolle) > 0">
							<xsl:value-of select="' ('"/>
							<xsl:value-of select="zks:Objekt/@lib:ATBRolle"/>
							<xsl:value-of select="')'"/>
						</xsl:if>
					</td>
					<td width="20%" id="Aktuell">
						<xsl:value-of select="@zks:Aenderung"/>
					</td>
					<td width="20%" id="Aktuell">
						<xsl:if test="zks:IndicatorDefault = 'true'">
							Ja
						</xsl:if>
						<xsl:if test="zks:IndicatorDefault = 'false'">
							Nein
						</xsl:if>
					</td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	<xsl:template name="Zeile5">
		<table id="tabelle_nicht_unten" width="100%" border="0">
			<tr height="10">
				<td/>
			</tr>
			<tr align="left">
				<td id="Text_normal "> Firma</td>
			</tr>
		</table>
		<xsl:call-template name="NameUndAdresse">
			<xsl:with-param name="prefix" select="zks:Auftrag/zks:FirmaBetreiberKoerperschaft"/>
			<xsl:with-param name="table_width" select="40"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="Zeile6">
		<table id="tabelle_nicht_unten" width="100%" border="0">
			<tr height="10">
				<td/>
			</tr>
			<tr align="left">
				<td id="Text_normal "> Betrieb </td>
			</tr>
			<tr width="100%">
				<td width="100%" id="Titel"> Beh&#246;rdlicheNummer </td>
			</tr>
			<tr width="100%">
				<td width="100%">
					<font id="Aktuell">
						<xsl:value-of select="zks:Auftrag/zks:BehoerdlicheNummerBtr/lib:BehoerdlicheNr"/>
						<xsl:value-of select="zks:Auftrag/zks:BehoerdlicheNummerBtr/lib:Pruefziffer"/>
						&#173;
						<xsl:value-of select="zks:Auftrag/zks:BehoerdlicheNummerBtr/@lib:ATBRolle"/>
					</font>
				</td>
			</tr>
		</table>
		<xsl:call-template name="NameUndAdresse">
			<xsl:with-param name="prefix" select="zks:Auftrag/zks:Betrieb"/>
			<xsl:with-param name="table_width" select="40"/>
		</xsl:call-template>
		<xsl:call-template name="Ansprechpartner">
			<xsl:with-param name="prefix" select="zks:Auftrag/zks:Ansprechpartner"/>
			<xsl:with-param name="table_width" select="40"/>
		</xsl:call-template>
		<table id="tabelle_oben" width="100%">
			<tr width="100%">
				<td width="100%">
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="Zeile7">
	</xsl:template>
</xsl:stylesheet>
